//=========================================================================//
//-------------------------------------------------------------------------//
// $Id: readtemp.h,v 1.5 2002/03/24 07:24:58 lanconel Exp $                                                                    //
//-------------------------------------------------------------------------//
//  Copyright (C) 1998-2001  Claudio Lanconelli                            //
//                                                                         //
//  e-mail: lancos@libero.it                                               //
//  http://www.LancOS.com                                                  //
//-------------------------------------------------------------------------//
//                                                                         //
// This program is free software; you can redistribute it and/or           //
// modify it under the terms of the GNU  General Public License            //
// as published by the Free Software Foundation; either version2 of        //
// the License, or (at your option) any later version.                     //
//                                                                         //
// This program is distributed in the hope that it will be useful,         //
// but WITHOUT ANY WARRANTY; without even the implied warranty of          //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       //
// General Public License for more details.                                //
//                                                                         //
// You should have received a copy of the GNU  General Public License      //
// along with this program (see COPYING);     if not, write to the         //
// Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. //
//                                                                         //
//-------------------------------------------------------------------------//
//=========================================================================//

#ifndef	_READTEMP_H
#define	_READTEMP_H

#define	N_THERM 8

typedef enum {
	fTEXT,
	fHTML
} FormatType;

typedef enum {
	uCELSIUS,
	uFARENHEIT
} UnitType;

char *ReadTemperature(FormatType format, UnitType unit, int digits = 1, int first = 1, int last = 1, int port = 3);
int ReadTemperature(char status[N_THERM], short values[N_THERM], int first = 1, int last = 1, int port = 3);
int SetI2CDelay(int delay);

#endif

